
Foreman - Bug #28122

Can't create a global parameter via hammer

10/24/2019 12:15 PM - ina vasilevskaya

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: API   

Target version: 1.23.1   

Difficulty:  Fixed in Releases: 1.23.1, 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7125

  

Description

While it's possible through webui, the straightforward global parameter creation with hammer results in 500 Server Error.

Seen on fresh deployment from 24\10\19 (3b202fa177a8db80decc7ea40745817ed1265ad8) where fix for 

https://projects.theforeman.org/issues/27740 is present. Can provide an env if necessary.

hammer global-parameter set --name aaa --value aaa

 Results in

[32m2019-10-24T12:13:50ESC[0m [D|ESC[36mappESC[0m|cc128e9b] Backtrace for 'Action failed' error (A

ctiveModel::UnknownAttributeError): unknown attribute 'location_id' for CommonParameter.

 | /home/centos/.rvm/gems/ruby-2.6.3/gems/activemodel-5.2.1/lib/active_model/attribute_assignment.

rb:53:in `_assign_attribute'

 | /home/centos/.rvm/gems/ruby-2.6.3/gems/activemodel-5.2.1/lib/active_model/attribute_assignment.

rb:44:in `block in _assign_attributes'

 | /home/centos/.rvm/gems/ruby-2.6.3/gems/activemodel-5.2.1/lib/active_model/attribute_assignment.

rb:43:in `each'

 | /home/centos/.rvm/gems/ruby-2.6.3/gems/activemodel-5.2.1/lib/active_model/attribute_assignment.

rb:43:in `_assign_attributes'

 | /home/centos/.rvm/gems/ruby-2.6.3/gems/activerecord-5.2.1/lib/active_record/attribute_assignmen

t.rb:23:in `_assign_attributes'

 | /home/centos/.rvm/gems/ruby-2.6.3/gems/activemodel-5.2.1/lib/active_model/attribute_assignment.

rb:35:in `assign_attributes'

 | /home/centos/.rvm/gems/ruby-2.6.3/gems/activerecord-5.2.1/lib/active_record/core.rb:314:in `ini

tialize'

Related issues:

Related to Foreman - Bug #27740: Cannot set parameter for hostgroup Closed

Associated revisions

Revision 5fb8dd2d - 10/27/2019 01:29 PM - Tomer Brisker

Fixes #28122 - Allow creating common params with lone taxonomy

Global parameters are handled by the common_parameters controller, not

the parameters_controller.

History

#1 - 10/24/2019 12:37 PM - Tomer Brisker

- Is duplicate of Bug #27740: Cannot set parameter for hostgroup added

#2 - 10/24/2019 12:44 PM - Tomer Brisker

- Is duplicate of deleted (Bug #27740: Cannot set parameter for hostgroup)
https://projects.theforeman.org/issues/27740


#3 - 10/24/2019 12:46 PM - Tomer Brisker

- Related to Bug #27740: Cannot set parameter for hostgroup added

#4 - 10/24/2019 12:47 PM - Tomer Brisker

- Project changed from Hammer CLI to Foreman

- Category set to API

- Assignee set to Tomer Brisker

#5 - 10/24/2019 12:49 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7125 added

#6 - 10/24/2019 12:54 PM - Tomer Brisker

- Target version set to 1.23.1

#7 - 10/27/2019 01:29 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#8 - 10/27/2019 01:31 PM - Tomer Brisker

- Fixed in Releases 1.23.1, 1.24.0 added

- Fixed in Releases deleted (2.0.0)

#9 - 10/27/2019 02:02 PM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset 5fb8dd2de13329a040e5e43076d04e028aa1f750.
